Subject: Apache 2.0 and mod_ssl compile problem.

From: Neil Marjoram <[email-masked]>
Date: Thu, 11 Apr 2002 15:00:40 +0100

I have had a few problems when compiling Apache 2.0.35 with mod_ssl.

My first error was no yacc - I found the line in the modules/ssl/Makefile and 
changed it for bison, I have tried options --fixed-outout-files and --yacc, 
but it seems the y.tab.h file is not produced.

However I have also noted that the Makefile contains the line just before the 
yacc statement :
#
#   developer stuff
#   (we really don't expect end users to use these targets!)
#

So I am wondering if these file are supposed to be there or not. Removing the 
y.tab.h file from the sed allows the compile to continue. Heres one of the 
outputs I have had :

bison --yacc 
/usr/local/build/apache20/httpd-2.0.35/modules/ssl/ssl_expr_parse.y
sed -e 's;yy;ssl_expr_yy;g' \
    -e '/#if defined(c_plusplus) || defined(__cplusplus)/,/#endif/d' \
    <y.tab.c >ssl_expr_parse.c && rm -f y.tab.c
sed -e 's;yy;ssl_expr_yy;g' \
    <y.tab.h >ssl_expr_parse.h && rm -f y.tab.h
/bin/sh: y.tab.h: cannot open
make[3]: *** [ssl_expr_parse.h] Error 1
make[3]: Leaving directory 
`/usr/local/build/apache20/httpd-2.0.35/modules/ssl'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory 
`/usr/local/build/apache20/httpd-2.0.35/modules/ssl'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/build/apache20/httpd-2.0.35/modules'
make: *** [all-recursive] Error 1

Can anyone shed light on this?

Thanks for your help,

Neil.
-- 
Neil Marjoram.
Unix System Manager,
Victoria and Albert Museum,
Cromwell Road,
London.

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]